<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla modelitem library
jimport('joomla.application.component.modelitem');

/**
 * Evaltics Model
 */
class EvalticsModelEvaluaciones extends JModelItem
{
	public function getEvaluacionesAsignatura($asignaturaId)
	{
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
		$query->select('*');
		$query->from('datoswebeval.evaluacion');
		$query->where('asignatura_id = ' . $asignaturaId);
		$db->setQuery($query);
		return $db->loadObjectList();
	}
	public function getEvaluacionesAsignaturaTerminadas($asignaturaId, $time)
	{
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
		$query->select('*');
		$query->from('datoswebeval.evaluacion');
		$query->where('asignatura_id = ' . $asignaturaId);
		$query->where('fecha_cierre < "' . $time . '"');
		$db->setQuery($query);
		return $db->loadObjectList();
	}
	public function getEvaluacionesPendientes($asignaturaId, $time)
	{
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
		$query->select('*');
		$query->from('datoswebeval.evaluacion');
		$query->where('asignatura_id = ' . $asignaturaId . ' AND fecha_cierre > "' . $time . '" AND fecha_apertura <  "' . $time . '"');
		$db->setQuery($query);
		return $db->loadObjectList();
	}
	public function getPermiso($fechaApertura, $fechaCierre){
		date_default_timezone_set('Europe/Madrid');
		$date = date("Y-m-d H:i:s");
		
		//Tres periodos, no emepzado = -1, empezado = 0 y finalizado = 1
		if($fechaCierre < $date)return -1;
		if($fechaApertura < $date && $fechaCierre > $date) return 0;
		return 1;
	}
	public function getEvaluacionAlumno($alumno, $evaluacion){
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
		$query->select('*');
		$query->from('datoswebeval.evaluacion_alumno');
		$query->where('evaluacion_id = "' . $evaluacion.'"');
		$query->where('matricula_alumno_id = "' . $alumno . '"');
		$db->setQuery($query);
		return $db->loadObject();
	}
	public function getEvaluacionAlumnoId($alumno, $evaluacion){
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
		$query->select('id');
		$query->from('datoswebeval.evaluacion_alumno');
		$query->where('evaluacion_id = "' . $evaluacion.'"');
		$query->where('matricula_alumno_id = "' . $alumno . '"');
		$db->setQuery($query);
		return $db->loadResult();
	}
	public function getEvaluacion($evaluacion){
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
		$query->select('*');
		$query->from('datoswebeval.evaluacion');
		$query->where('id = ' . $evaluacion);
		$db->setQuery($query);
		return $db->loadObject();
	}
	public function getEvaluacionPregunta($id){
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
		$query->select('*');
		$query->from('datoswebeval.evaluacion_pregunta');
		$query->where('evaluacion_id = ' . $id);
		$db->setQuery($query);
		return $db->loadObjectList();
	}
	public function getIdAlumno($alumno)
	{
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
		$query->select('id');
		$query->from('datoswebeval.alumno');
		$query->where('usuario = "' . $alumno .'"');
		$db->setQuery($query);
		return $db->loadResult();
	}
	public function getAsinatura($id)
	{
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
		$query->select('*');
		$query->from('datoswebeval.asignatura');
		$query->where('id = ' . $id);
		$db->setQuery($query);
		return $db->loadObject();
	}
	public function getNota($idEvaluacion, $idAlumno)
	{
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
		$query->select('nota');
		$query->from('datoswebeval.evaluacion_alumno');
		$query->where('evaluacion_id = ' . $idEvaluacion);
		$query->where('matricula_alumno_id = ' . $idAlumno);
		$db->setQuery($query);
		return $db->loadResult();
	}
}
